### Method

# EBackend Backend schedule_authenticate

since: 3.16

#### Declaration [src]

    void
    e_backend_schedule_authenticate (
      EBackend* backend,
      const ENamedParameters* credentials
    )

#### Description [src]

Schedules a new authenticate session, cancelling any previously run. This is usually done automatically, when an ‘authenticate’ signal is received for the associated `ESource`. With `NULL` `credentials` an attempt without it is run.

Available since: 3.16

#### Parameters

`credentials`

  Type: `ENamedParameters`

  A credentials to use to authenticate, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.